
# Raspberry Pi 4

## For debian [Pi4 images](https://raspi.debian.net/tested-images/):


- I used the `raspberry pi imager` tool to add one of the images to the USB SSD for the pi4.
- mounted the storage partition and modified the SSH config to allow SSH to empty password users and root. (the script removes those things to it's fine)
- `apt-get update && apt-get install -y python3 python3-apt`.
- `ln -s /usr/bin/python3 /usr/bin/python`

## For [Armbian](https://www.armbian.com/rpi4b/)

Same as OPI5

- No need to set a MAC manually tho

- Gave me some kernel panics so can't recommend.

# Orange Pi 5

For Opi5

- https://www.armbian.com/orangepi-5/

- I used the `raspberry pi imager` tool to add one of the images to an NVME for the opi5.

- Connected a screen and a keyboard, added a password for the `root` user, added a user `orangepi:orangepi`.

## Random MAC every power on

http://www.orangepi.org/orangepibbsen/forum.php?mod=viewthread&tid=

https://www.reddit.com/r/OrangePI/comments/14sleyi/orange_pi_5_mac_address_keeps_changing/

```shell
nano /etc/network/interfaces
```

Add the following lines

```text
auto eth0
iface eth0 inet dhcp 
        hwaddress ether AA:BB:CC:DD:EE:FF
```

||\
||\
V
```text
source /etc/network/interfaces.d/*
# Network is managed by Network manager
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp 
        hwaddress ether AA:BB:CC:DD:EE:FF
```